- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouter_packet_relay – CLI command to add/remove vrouter-packet-relay

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to add packet relay configuration for DHCP on vrouter and remove packet relay configuration for DHCP on vrouter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_forward_ip string / required |  | forwarding IP address.
pn_forward_proto string | Choices: dhcp ← | protocol type to forward packets.
pn_nic string / required |  | NIC.
pn_vrouter_name string / required |  | name of service config.
state string | Choices: present ← absent | vrouter-packet-relay configuration command.

## Examples

    - name: vRouter packet relay add
      pn_vrouter_packet_relay:
        pn_cliswitch: "sw01"
        pn_forward_ip: "192.168.10.1"
        pn_nic: "eth0.4092"
        pn_vrouter_name: "sw01-vrouter"

    - name: vRouter packet relay remove
      pn_vrouter_packet_relay:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_forward_ip: "192.168.10.1"
        pn_nic: "eth0.4092"
        pn_vrouter_name: "sw01-vrouter"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-packet-relay command.
stdout list | always | set of responses from the vrouter-packet-relay command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.